# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TBoolValue

Packages that use TBoolValue
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TBoolValue in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TBoolValue
Modifier and Type
Class
Description
`class`
`TBoolValue`
`class`
`TBoolValue`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TBoolValue
Modifier and Type
Method
Description
`TBoolValue`
TBoolValue.`deepCopy()`
`TBoolValue`
TColumnValue.`getBoolVal()`
`TBoolValue`
TBoolValue.`setValue(boolean value)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TBoolValue
Modifier and Type
Method
Description
`static TColumnValue`
TColumnValue.`boolVal(TBoolValue value)`
`int`
TBoolValue.`compareTo(TBoolValue other)`
`boolean`
TBoolValue.`equals(TBoolValue that)`
`void`
TColumnValue.`setBoolVal(TBoolValue value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TBoolValue
Modifier
Constructor
Description
``
`TBoolValue(TBoolValue other)`
Performs a deep copy on other.